Cancel an agent delegation
curl --request POST \
--url https://api.fetchhive.com/v1/agent/delegations/{id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fetchhive.com/v1/agent/delegations/{id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fetchhive.com/v1/agent/delegations/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"kind": "workflow",
"target": {},
"parent_request_id": "<string>",
"tool_call_id": "<string>",
"result": {},
"expected_by": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"delivery_error": "<string>",
"workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "Invalid access."
}{
"error": "Invalid access."
}Agents
Cancel an agent delegation
Cancels a pending or running background workflow that an agent started. Already finished delegations are returned unchanged.
POST
/
v1
/
agent
/
delegations
/
{id}
/
cancel
Cancel an agent delegation
Authorizations
Workspace API key sent as Authorization: Bearer <api_key>.
Path Parameters
Delegation UUID
Response
delegation cancelled
Available options:
pending, running, completed, failed, cancelled, expired Available options:
workflow, sub_agent, hive_agent_run Was this page helpful?

